This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 469474

Summary: Review Request: sovix - A website revision system
Product: [Fedora] Fedora Reporter: Vivek Shah <boni.vivek>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aquini, cwickert, fedora-package-review, mohakvyas, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-04 18:46:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Vivek Shah 2008-11-01 03:31:59 EDT
Spec URL: http://bonii.fedorapeople.org/spec/sovix.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/sovix-0.0.1.6-1.fc9.src.rpm
Description: 
GNU Sovix is the PHP-based, extensible, customizable, semantic website revision
system.If this seems to be a bit of a mouthful, an easier explanation is Sovix
is a free Emacs-like WRS, the text editor Sovix was developed in.
Comment 1 Fabian Affolter 2008-11-01 11:18:52 EDT
Just some small comments on your spec file

- URL: http://gnu.org/software/%{name}
 - This is not wrong, just not so handy -> copy-&-paste is not possible

- $RPM_BUILD_ROOT and %{buildroot}
 - This is only cosmetically. It will look nicer if you are using just one style of those macros.

- %define _enable_debug_package 0
 - There is no need for this because the package is 'noarch'
Comment 2 Vivek Shah 2008-11-01 13:09:23 EDT
Thanks for the comments, as far as I see these are not blockers as far as the Package review guidelines are concerned. Will you be assigning the review of this package to yourself and do a complete review (if it is not already done) because then I can fix all the suggestions that you mentioned in the spec file in one go.
Comment 3 manuel wolfshant 2008-11-01 13:20:55 EDT
https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS kind of makes clear that using %{buildroot} and $RPM_BUILD_ROOT should not be done.
Comment 4 Mohak Vyas 2008-11-07 17:16:31 EST
The md5sum I had from the original tarball and from your .src.rpm does not match.
Even the two tarballs are different sizes. You should take a look in that.

406043  2008-10-23 sovix-0.0.1.6.tar.gz  --  Original tarball
407110  2008-11-07 sovix-0.0.1.6.tar.gz  --  The one from your .src.rpm
Comment 5 Vivek Shah 2008-12-02 10:00:00 EST
A new upstream version is available which I have packaged keeping in mind the above suggestions
Spec URL: http://bonii.fedorapeople.org/spec/sovix.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/sovix-0.0.1.7-1.fc9.src.rpm
Comment 6 Fabian Affolter 2008-12-08 06:03:07 EST
- %{buildroot} and $RPM_BUILD_ROOT are not fixed in 0.0.1.7-1 

- The email address in the changelog should be the same as in Bugzilla (for your Bugzilla account).  Otherwise it will be hard to find you.
Comment 7 Fabian Affolter 2009-01-12 04:45:46 EST
- Please preserve the time stamps while copying
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
- It would be nice if you use the same style for commands everywhere in your spec file.  Relating to %{__rm} vs. rm
- 'Requires: webserver' has to be 'Requires: httpd'
- The URL of this project is http://sovix.org/sovix/Sovix (http://gnu.org/software/sovix is a redirect)
Comment 8 Christoph Wickert 2009-04-19 20:00:24 EDT
(In reply to comment #6)
> - The email address in the changelog should be the same as in Bugzilla (for
> your Bugzilla account).  Otherwise it will be hard to find you.  

Why that? Email address need to match in bugzilla and in FAS, but IMO that's all.
Comment 9 Christoph Wickert 2009-04-19 20:01:28 EDT
BTW: Any progress with this review?
Comment 10 Vivek Shah 2009-06-20 15:58:32 EDT
I have updated the spec and generated srpm as per suggestion. Can we please quickly move with the review. Thanks.

Spec URL: http://bonii.fedorapeople.org/spec/sovix.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/sovix-0.0.1.7-2.fc9.src.rpm
Comment 11 Christoph Wickert 2009-06-20 16:34:25 EDT
(In reply to comment #7)

> - 'Requires: webserver' has to be 'Requires: httpd'

Fabian, this is wrong, too. We have several web servers in Fedora and they all have a virtual provides on "webserver".


Vivek, what's your FAS account name?
Comment 12 Fabian Affolter 2009-06-20 18:26:42 EDT
(In reply to comment #8)
> (In reply to comment #6)
> > - The email address in the changelog should be the same as in Bugzilla (for
> > your Bugzilla account).  Otherwise it will be hard to find you.  
> 
> Why that? Email address need to match in bugzilla and in FAS, but IMO that's
> all.  

I guess that I was thinking that if you are looking at a spec file, find a e-mail address in the spec file, and want to search for other Bugzilla entries associated to this address.  But perhaps this is more a personal sensation. That's why I wrote 'should' and not 'must' ;-)

(In reply to comment #11)
> (In reply to comment #7)
> 
> > - 'Requires: webserver' has to be 'Requires: httpd'
> 
> Fabian, this is wrong, too. We have several web servers in Fedora and they all
> have a virtual provides on "webserver".

That's true.  I didn't know that when I wrote comment #7
Comment 13 Vivek Shah 2009-06-21 02:39:41 EDT
Christoph, my FAS account name is bonii. 

I have a few observations.

1. I had listed "webserver" in the Requires section since I wanted to ensure we can capitalise on the web servers which have a virtual Provides on "webserver". There is another possible counter angle we need to see. Sovix recommends Apache web server so in this scenario, should we use "webserver" in the Requires or the web server upstream is recommending for use ? 

2. Since both the emails bonii at fedoraproject.org and boni.vivek @ gmail.com link to me (and are not dead), it should not be an issue. 

Please tell me if there are further changes required in the package.

Thanks Chirstoph and Fabian for the quick comments.
Comment 14 Vivek Shah 2009-06-21 02:40:46 EDT
Sorry about the mistake in spelling your name, Christoph
Comment 15 Vivek Shah 2009-07-02 15:21:23 EDT
Can we please wrap up this review request soon ? Thanks.
Comment 16 Christoph Wickert 2009-07-02 19:11:49 EDT
One way to speed up this review is to do reviews yourself. The more reviews you do, the more likely it is that others do a review for you.

I searched bugzilla for reviews you did or in which you participated and I found nothing, although you already joined in 2007. So may I ask who is your sponsor? Usually you are expected to do 3 pre-reviews before getting sponsored. IMHO you are not in the position to complain.

Feel free to CC me in any reviews you work on, so I can decide to pick up this review or not. BTW: Could you please remove privacy in FAS, so we could get to know more about you?
Comment 17 Vivek Shah 2009-07-03 01:00:04 EDT
Hi Christoph,
              I am not complaining about any reviews. Since this review request was stuck (a large part of it because I did not get the time to follow it up after  the initial comments), so once things were back in shape(thanks to Fabian and your reviews), I hoped maybe we could push thing in quickly.

I started packaging from June 2008. I had an active FAS account from 2007 since I needed it to maintain MirrorManager for my University and at that time I created a bugzilla account too. My sponsor is Mamoru Tasaka <mtasaka>. 

Thanks for all the suggestions so far.
Comment 18 Jason Tibbitts 2009-11-07 21:34:03 EST
A few comments:

For multiple license scenarios, you need to indicate which parts of the package are under which license.  http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

I do not fully understand what requirements the AGPL places on the Fedora package.  I don't know if we somehow have to make sure that the source is exposed somehow.  I've asked on fedora-legal-list.

No supported version of Fedora shipped with a mysql-server older than 5.0.67 or a php older than 5.2.6, so the versioned dependencies are kind of pointless.  Even RHEL4 has newer versions than that.

Is there any reason why mysql-server would be required?  The upstream web page indicates that both mysql and postgres are supported and that use of a database is optional.  Not only that, but I can't imagine a situation that would force the database server to be running on the same machine.  At worst you'd require the client libraries, and even if you somehow did require the server, you're still missing a dependency on the php interface to the database.

Your %description looks like it's been badly word-wrapped.

Generally for web applications we provide an apache config file to make the files properly visible to the web.  Is there any specific reason for not doing that here?  (I realize that makes the package actually require apache itself, but that's now petty much every other packaged webapp does things.)
Comment 19 Vivek Shah 2009-11-12 11:11:43 EST
Hi Jason,
          Thanks for the review. I will look into the blockers and update the srpm and spec and post it in a couple of days. Tied down with work currently.

Thanks and Regards,
Vivek
Comment 20 Jason Tibbitts 2009-11-12 14:32:49 EST
The answer from the legal folks is that AGPL places no restrictions or requirement on the packaging; it is up to the end user to properly comply with the license when they deploy the software.
Comment 21 Rafael Aquini 2010-07-30 23:11:58 EDT
PING

It's been almost ten months with no progress; This bug should be closed soon if
there is no response, shouldn't it?
Comment 22 Vivek Shah 2010-08-04 05:41:23 EDT
Thanks for pinging me. I currently do not have the time to fix it and then provide uploaded version. I can work on in a couple of months. In such a situation, should I close this request with the resolution "DEFFERRED" ?
Comment 23 Rafael Aquini 2010-08-04 18:46:33 EDT
Vivek,

Thanks for replying. 
I'm sorry to hear you don't have enough time to proceed with this work by now.

Considering your reply, 
> Thanks for pinging me. I currently do not have the time to fix it and then
> provide uploaded version. I can work on in a couple of months. In such a
> situation, should I close this request with the resolution "DEFFERRED" ?    

I'm closing this bug just as described in Fedora's Policy for stalled package reviews -- http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Said so, I hope you can be able to reopen this bug (or a duplicate of it) in a near future, when you find out enough time to work on it!

Cheers!